#ifndef SPELL_WARZ_USER_INTERFACE_HPP
#define SPELL_WARZ_USER_INTERFACE_HPP 1

#include <iostream>
#include <thread>
#include <chrono>
#include <string>
#include <cstring>

#include "Character.hpp"
#include "Spell.hpp"

class UserInterface
{
protected:
    static const int interval;     // in ms
    static const int miniInterval; // in ms
    static const int maxDay;
    static const int maxMonth;
    static const int maxYear;

    static std::vector<std::string> dayName;
    static std::vector<std::string> monthName;

    static int day;
    static int month;
    static int year;

    static bool gameOver;

public:
    static void print(std::string);
    static void print(const char *);
    static void print(char *);
    static void printByChar(std::string);
    static void printByChar(const char *);
    static void printByChar(char *);

    static void welcomeMessage();
    static void epilogue();
    static void menu();
    static void nextDay();
    static void characterInfo(Character *);
    static void enemiesInfo(std::vector<Character *> &);

    static std::string dateString();
    static int getNumber(std::string, int, int);
    static Character *characterCreation();

    static bool isGameOver();
};

#endif